com.opensymphony.xwork2.ognl

## Class DefaultOgnlBeanInfoCacheFactory<Key,Value>

- java.lang.Object
- - com.opensymphony.xwork2.ognl.DefaultOgnlCacheFactory<Key,Value>
  - - com.opensymphony.xwork2.ognl.DefaultOgnlBeanInfoCacheFactory<Key,Value>

- Type Parameters:
    `Key` - The type for the cache key entries
    `Value` - The type for the cache value entries
  All Implemented Interfaces:
    BeanInfoCacheFactory<Key,Value>

      public class DefaultOgnlBeanInfoCacheFactory<Key,Value>
      extends DefaultOgnlCacheFactory<Key,Value>
      implements BeanInfoCacheFactory<Key,Value>

  Default OGNL Cache factory implementation. Currently used for BeanInfo cache creation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOgnlBeanInfoCacheFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OgnlCache<Key,Value>` | `buildOgnlCache()`
    `OgnlCache<Key,Value>` | `buildOgnlCache(int evictionLimit, int initialCapacity, float loadFactor, boolean lruCache)`
    `int` | `getCacheMaxSize()`
    `boolean` | `getUseLRUCache()`
    `protected void` | `setCacheMaxSize(String maxSize)`
    `protected void` | `setUseLRUCache(String useLRUMode)`

    - ### Methods inherited from class com.opensymphony.xwork2.ognl.DefaultOgnlCacheFactory

      `buildOgnlCache, buildOgnlCache, getCacheMaxSize, getUseLRUCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultOgnlBeanInfoCacheFactory

          public DefaultOgnlBeanInfoCacheFactory()

  - ### Method Detail

    - #### setCacheMaxSize

          protected void setCacheMaxSize(String maxSize)

      Overrides:
        `setCacheMaxSize` in class `DefaultOgnlCacheFactory<Key,Value>`

    - #### setUseLRUCache

          protected void setUseLRUCache(String useLRUMode)

      Overrides:
        `setUseLRUCache` in class `DefaultOgnlCacheFactory<Key,Value>`

    - #### buildOgnlCache

          public OgnlCache<Key,Value> buildOgnlCache()

    - #### buildOgnlCache

          public OgnlCache<Key,Value> buildOgnlCache(int evictionLimit,
                                                     int initialCapacity,
                                                     float loadFactor,
                                                     boolean lruCache)

    - #### getCacheMaxSize

          public int getCacheMaxSize()

    - #### getUseLRUCache

          public boolean getUseLRUCache()

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.